<?php

include_once($_SESSION['sys']['basedir'].'/lib/overview_utils.php');

if (empty($_SESSION['akkord_geraete.year'])) $_SESSION['akkord_geraete.year'] = 0;

$mask = array(
	      'table' => 'einsatz',
	      'title' => 'Akkordstunden für Geräte',
	      'join' => array('gerate ON einsatz.geraet = gerate.id',
			      'anbaugeraete ON einsatz.anbaugeraet = anbaugeraete.id',
			      'arbeitsarten ON einsatz.arbeiten = arbeitsarten.id',
			      'kostenstellen ON einsatz.kostenstelle = kostenstellen.id',
			      ),
	      'where' => "arbeitsarten.arbeitsart <> 'Urlaub' AND arbeitsarten.arbeitsart <> 'Krank' AND arbeitsarten.arbeitsart <> 'Sonstige Fehltage'"
		       . " AND date_part('year', datum) = " . $_SESSION['akkord_geraete.year']
		       . " AND akkord = 1"
		       . " GROUP BY gerate.id,gerate.geraet,arbeitsarten.arbeitsart",
	      'select' => array(
				'title' => 'Auswahl',
				'options' => discover_years(),
				'default' => 'Jahr wählen',
				'selected' => $_SESSION['akkord_geraete.year'],
				'onchange' => "setvar(this,'year',select_year_calback,select_year_status)",
				),
	      'variables' => array(
				   'year' => array(),
				   ),
 	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    'sql' => 'gerate.id',
					    ),
			      'geraet' => array(
					    'name' => 'Gerät',
					    'sql' => "gerate.geraet",
					    'width' => 170,
					    'specs' => "filterUI: 's'",
					    ),
			      'arbeitsart' => array(
					    'name' => 'Arbeitsart',
					    'sql' => "arbeitsarten.arbeitsart",
					    'width' => 150,
					    'specs' => "filterUI: 's'",
					    ),
			      'stunden' => array(
					    'name' => 'Stunden',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignrightpad', canSort: false",
					    'width' => 90,
					    'sql' => 'sum(geraetstunden)',
					    ),
			      ),
	      );

?>
